function hiMom(rawInput, maxPredictionLength, isSampleI, temperature) { 
  if (typeof rawInput === 'undefined') rawInput = [];
  if (typeof maxPredictionLength === 'undefined') maxPredictionLength = 100;
  if (typeof isSampleI === 'undefined') isSampleI = false;
  if (typeof temperature === 'undefined') temperature = 1;
  
var characterTable = {"0":"h","1":"i","2":" ","3":"m","4":"o","5":"!"};
var indexTable = {"h":0,"i":1," ":2,"m":3,"o":4,"!":5};
var characters = ["h","i"," ","m","o","!"];
function toIndexes(value) {
      var maxThreshold = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;

      var result = [];
      
      for (var i = 0, max = value.length; i < max; i++) {
        var character = value[i];
        var index = indexTable[character];
        if (index === undefined) {
          throw new Error('unrecognized character "' + character + '"');
        }
        if (index < maxThreshold) continue;
        result.push(index);
      }

      return result;
    }
function toIndexesInputOutput(value1) {
      var value2 = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
      var maxThreshold = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;

      var result = void 0;
      if (typeof value1 === 'string') {
        result = toIndexes(value1.split('').concat(['stop-input', 'start-output']), maxThreshold);
      } else {
        result = toIndexes(value1.concat(['stop-input', 'start-output']), maxThreshold);
      }

      if (value2 === null) return result;

      if (typeof value2 === 'string') {
        return result.concat(toIndexes(value2.split(''), maxThreshold));
      } else {
        return result.concat(toIndexes(value2, maxThreshold));
      }
    }
function toCharacters(indices) {
      var maxThreshold = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;

      var result = [];
      
      for (var i = 0, max = indices.length; i < max; i++) {
        var index = indices[i];
        if (index < maxThreshold) continue;
        var character = characterTable[index];
        if (character === undefined) {
          throw new Error('unrecognized index "' + index + '"');
        }
        result.push(character);
      }

      return result;
    }

  
  var input = formatDataIn(rawInput);
  var json = {"type":"RNN","options":{"inputSize":6,"inputRange":6,"hiddenSizes":[20,20],"outputSize":6,"learningRate":0.01,"decayRate":0.999,"smoothEps":1e-8,"regc":0.000001,"clipval":5,"json":null,"dataFormatter":{"values":["hi mom!"],"indexTable":{"h":0,"i":1," ":2,"m":3,"o":4,"!":5},"characterTable":{"0":"h","1":"i","2":" ","3":"m","4":"o","5":"!"},"characters":["h","i"," ","m","o","!"]}},"input":{"rows":7,"columns":6,"weights":{"0":-0.07892411947250366,"1":-0.17216213047504425,"2":-0.2276458591222763,"3":0.19753463566303253,"4":0.039694733917713165,"5":0.03871200606226921,"6":0.27836477756500244,"7":0.37068992853164673,"8":0.1761048287153244,"9":-0.255411833524704,"10":0.16536882519721985,"11":-0.3029259443283081,"12":0.2804175019264221,"13":0.42938125133514404,"14":0.21692632138729095,"15":-0.34762540459632874,"16":0.777979850769043,"17":-0.39072346687316895,"18":-0.20024323463439941,"19":-0.273896187543869,"20":-0.12416604161262512,"21":0.3022148609161377,"22":-0.19341948628425598,"23":0.14127539098262787,"24":0.800186276435852,"25":0.7607815861701965,"26":-0.3449328541755676,"27":-0.6624605655670166,"28":0.21074460446834564,"29":-0.8271990418434143,"30":0.21959522366523743,"31":0.4643135666847229,"32":-0.37559229135513306,"33":-0.11680388450622559,"34":0.8699612021446228,"35":-0.1609094887971878,"36":0.9511407017707825,"37":0.842793345451355,"38":-0.4443187713623047,"39":-1.0525450706481934,"40":-0.7260486483573914,"41":-0.645491898059845}},"hiddenLayers":[{"weight":{"rows":20,"columns":6,"weights":{"0":-0.3746953308582306,"1":-0.16158030927181244,"2":0.3246609568595886,"3":0.3399737477302551,"4":0.13188019394874573,"5":0.4589872658252716,"6":-0.10882639139890671,"7":-0.00992414727807045,"8":0.3441799283027649,"9":0.13017426431179047,"10":0.2813221216201782,"11":-0.2812054753303528,"12":-0.12515918910503387,"13":0.2525559961795807,"14":0.3071537911891937,"15":0.15918664634227753,"16":-0.34105774760246277,"17":0.350493848323822,"18":0.03491658717393875,"19":0.06994897127151489,"20":-0.021974505856633186,"21":0.02170700766146183,"22":0.05994369834661484,"23":-0.015469817444682121,"24":-0.3185550272464752,"25":0.1816011369228363,"26":0.3852171301841736,"27":0.07082946598529816,"28":-0.32307809591293335,"29":0.21726951003074646,"30":0.7871037721633911,"31":0.5811305046081543,"32":0.049653612077236176,"33":-0.824468731880188,"34":-0.20234695076942444,"35":-0.00930741522461176,"36":0.6082540154457092,"37":0.7074904441833496,"38":0.16889911890029907,"39":-0.5640707612037659,"40":0.6970368027687073,"41":-0.6403894424438477,"42":-0.22402484714984894,"43":-0.20536410808563232,"44":-0.08370551466941833,"45":0.04556114226579666,"46":-0.5085759162902832,"47":0.3182521462440491,"48":0.15501588582992554,"49":-0.14414113759994507,"50":0.061106059700250626,"51":0.006015618797391653,"52":-0.9510904550552368,"53":-0.13473184406757355,"54":-0.09246405214071274,"55":-0.11574617028236389,"56":0.29602015018463135,"57":0.2806096374988556,"58":-0.3582427501678467,"59":-0.21666759252548218,"60":-0.311207115650177,"61":0.11113651096820831,"62":-0.38476327061653137,"63":0.1480495184659958,"64":-0.41220834851264954,"65":0.4676901698112488,"66":0.06483456492424011,"67":0.14414288103580475,"68":0.0823676735162735,"69":0.005400186870247126,"70":-0.1878887265920639,"71":-0.13167142868041992,"72":-0.23016253113746643,"73":-0.20566938817501068,"74":-0.23486767709255219,"75":0.16215744614601135,"76":-0.09477845579385757,"77":0.2065001130104065,"78":0.29851895570755005,"79":0.32620716094970703,"80":0.4545726478099823,"81":-0.42096564173698425,"82":0.4738686680793762,"83":-0.27398934960365295,"84":0.005585298873484135,"85":0.020615562796592712,"86":0.029441826045513153,"87":-0.005658659618347883,"88":0.003938083071261644,"89":-0.019680988043546677,"90":-0.1443393975496292,"91":-0.1993197500705719,"92":0.2213767170906067,"93":0.2915242314338684,"94":0.12366840243339539,"95":-0.1344987154006958,"96":-0.0990942046046257,"97":-0.19823729991912842,"98":-0.3295864164829254,"99":-0.0539543442428112,"100":-0.6838330626487732,"101":0.35703086853027344,"102":0.5967230200767517,"103":0.4413716197013855,"104":0.6674066185951233,"105":-0.452984094619751,"106":0.6267694234848022,"107":-0.45409297943115234,"108":-0.18044869601726532,"109":-0.4979746639728546,"110":-0.5047906041145325,"111":-0.07125257700681686,"112":-0.5909655094146729,"113":0.6421149373054504,"114":-0.24442711472511292,"115":-0.27753946185112,"116":0.3290785253047943,"117":0.2710264027118683,"118":-0.40520477294921875,"119":0.3083973228931427}},"transition":{"rows":20,"columns":20,"weights":{"0":0.06766734272241592,"1":-0.03275547921657562,"2":0.1836676299571991,"3":0.041297998279333115,"4":0.1701861023902893,"5":-0.031029649078845978,"6":-0.3891846239566803,"7":-0.06440158188343048,"8":0.07481794059276581,"9":-0.09025556594133377,"10":0.0675581693649292,"11":-0.15849193930625916,"12":0.031234297901391983,"13":-0.39123979210853577,"14":0.07095739245414734,"15":0.21047788858413696,"16":0.06790661811828613,"17":-0.6593438386917114,"18":-0.07670222967863083,"19":-0.03157094866037369,"20":0.012114419601857662,"21":0.4973292052745819,"22":0.02695809118449688,"23":-0.07195668667554855,"24":0.13162682950496674,"25":0.07390973716974258,"26":0.026795893907546997,"27":-0.1658838987350464,"28":0.427150696516037,"29":-0.6053388118743896,"30":-0.054386746138334274,"31":-0.03353669121861458,"32":0.05442971736192703,"33":-0.011753441765904427,"34":-0.024200905114412308,"35":-0.5943601131439209,"36":-0.06773966550827026,"37":0.06954696774482727,"38":0.004402531776577234,"39":0.21335063874721527,"40":0.17943044006824493,"41":-0.11262597888708115,"42":0.20867136120796204,"43":-0.04820758476853371,"44":0.28101474046707153,"45":-0.0034309038892388344,"46":-0.3790780007839203,"47":0.06139088794589043,"48":0.07248660176992416,"49":0.1235191822052002,"50":0.11345779895782471,"51":-0.30324143171310425,"52":-0.008062455803155899,"53":-0.3956514894962311,"54":-0.0788082480430603,"55":0.1418367475271225,"56":-0.01438210066407919,"57":-0.35982149839401245,"58":0.0165944155305624,"59":0.041449569165706635,"60":-0.0470380075275898,"61":-0.07729771733283997,"62":-0.0620202012360096,"63":0.027356700971722603,"64":-0.03970614820718765,"65":-0.016429143026471138,"66":-0.027014365419745445,"67":-0.05273158848285675,"68":0.004447815474122763,"69":-0.03759533911943436,"70":-0.004978751298040152,"71":-0.07239677011966705,"72":0.0561160072684288,"73":0.06129914149641991,"74":-0.05480184778571129,"75":-0.08153079450130463,"76":0.059140995144844055,"77":0.010824375785887241,"78":0.0643799677491188,"79":-0.06853492558002472,"80":0.30939072370529175,"81":-0.2732860743999481,"82":0.3052101135253906,"83":-0.017931601032614708,"84":0.3180787265300751,"85":0.04305306449532509,"86":-0.23826375603675842,"87":0.18412303924560547,"88":0.15720948576927185,"89":0.11270195990800858,"90":-0.013582095503807068,"91":-0.32439032196998596,"92":-0.06500010937452316,"93":-0.36691293120384216,"94":0.06722415238618851,"95":0.23727095127105713,"96":0.041154541075229645,"97":-0.39374762773513794,"98":-0.06953733414411545,"99":-0.04964424669742584,"100":0.559785783290863,"101":0.3579179644584656,"102":0.5836291313171387,"103":-0.01340221706777811,"104":0.6946719884872437,"105":0.3923272490501404,"106":0.26452773809432983,"107":0.6681150794029236,"108":0.7337313294410706,"109":0.7196918725967407,"110":0.5542004108428955,"111":0.3842935860157013,"112":0.2976437211036682,"113":0.35041308403015137,"114":-0.06319043785333633,"115":0.5491902232170105,"116":0.3710804283618927,"117":0.4296158254146576,"118":0.2778128385543823,"119":-0.1627107709646225,"120":0.5060376524925232,"121":0.05060397833585739,"122":0.5540094375610352,"123":0.05854016914963722,"124":0.5456256866455078,"125":0.4256450831890106,"126":-0.2176651805639267,"127":0.3424778878688812,"128":-0.33128392696380615,"129":-0.2583710551261902,"130":0.3145202696323395,"131":-0.3546305298805237,"132":0.3608032166957855,"133":0.06365280598402023,"134":0.01811479590833187,"135":-0.31954798102378845,"136":0.2943101227283478,"137":0.46239495277404785,"138":0.3302811086177826,"139":-0.1284564733505249,"140":0.27227821946144104,"141":-0.2817094624042511,"142":0.18937329947948456,"143":-0.03920105844736099,"144":0.18494418263435364,"145":0.06031472235918045,"146":-0.3310753107070923,"147":0.06746003776788712,"148":0.20305320620536804,"149":0.10554653406143188,"150":0.027785876765847206,"151":-0.2816028892993927,"152":0.05977741256356239,"153":-0.371847927570343,"154":0.03367904946208,"155":0.19925187528133392,"156":0.08491790294647217,"157":-0.39671871066093445,"158":0.047152530401945114,"159":-0.07197274267673492,"160":-0.5405264496803284,"161":-0.7821136713027954,"162":-0.6050381064414978,"163":-0.007601073477417231,"164":-0.5450590252876282,"165":0.22170725464820862,"166":0.17714792490005493,"167":-0.571273148059845,"168":-1.0886050462722778,"169":-0.29292577505111694,"170":0.04422369226813316,"171":0.036453381180763245,"172":-0.008138316683471203,"173":0.06228729337453842,"174":-0.04984331503510475,"175":-0.5522945523262024,"176":0.0022179223597049713,"177":0.1434013992547989,"178":-0.012387959286570549,"179":-0.03234153240919113,"180":-0.2342134714126587,"181":0.06656048446893692,"182":-0.2491854578256607,"183":0.02148883417248726,"184":-0.15996336936950684,"185":-0.07686785608530045,"186":-0.31523454189300537,"187":-0.24571436643600464,"188":-0.028922194615006447,"189":-0.01939389668405056,"190":-0.15792690217494965,"191":0.0507412888109684,"192":-0.11247722059488297,"193":-0.3090214729309082,"194":0.05142310634255409,"195":-0.4584871232509613,"196":-0.11649374663829803,"197":0.026587938889861107,"198":-0.1958935707807541,"199":-0.022915342822670937,"200":0.07640844583511353,"201":-0.39125803112983704,"202":0.18106208741664886,"203":0.027408314868807793,"204":0.02374192327260971,"205":-0.020694147795438766,"206":-0.24815866351127625,"207":-0.0023642489686608315,"208":-0.008502207696437836,"209":-0.1349131017923355,"210":-0.16691377758979797,"211":-0.37990909814834595,"212":-0.1356377899646759,"213":-0.2978871464729309,"214":0.015989892184734344,"215":0.15567795932292938,"216":-0.09161897003650665,"217":-0.37876197695732117,"218":-0.05210006237030029,"219":-0.044450148940086365,"220":-0.07145891338586807,"221":-0.026909196749329567,"222":-0.07942000776529312,"223":0.03273812681436539,"224":-0.15662720799446106,"225":-0.3250340521335602,"226":-0.31513306498527527,"227":-0.08413071930408478,"228":-0.2877078950405121,"229":-0.16677287220954895,"230":0.0836518406867981,"231":-0.3893284797668457,"232":-0.143189936876297,"233":-0.30283209681510925,"234":-0.00044526057899929583,"235":-0.11914899945259094,"236":0.007601307239383459,"237":-0.38599494099617004,"238":-0.05796261504292488,"239":-0.009283052757382393,"240":-0.09537488967180252,"241":-0.37255051732063293,"242":-0.13378623127937317,"243":0.005554243456572294,"244":-0.14702069759368896,"245":-0.6348931789398193,"246":-0.15000249445438385,"247":-0.16862478852272034,"248":-0.2704831659793854,"249":-0.20723949372768402,"250":-0.3186982274055481,"251":-0.24575047194957733,"252":-0.271702378988266,"253":0.004101861268281937,"254":0.03813163563609123,"255":-0.1083633229136467,"256":-0.3326011598110199,"257":-0.7097154855728149,"258":-0.39502209424972534,"259":0.025633377954363823,"260":0.2455567717552185,"261":0.005102223716676235,"262":0.35131949186325073,"263":-0.008516932837665081,"264":0.4493130147457123,"265":0.15560483932495117,"266":0.023779522627592087,"267":0.6120404005050659,"268":-0.28738534450531006,"269":-0.19066812098026276,"270":0.3076731562614441,"271":-0.32921433448791504,"272":0.3165256083011627,"273":0.2665930390357971,"274":0.02274981513619423,"275":0.07906071096658707,"276":0.3487878739833832,"277":0.011259189806878567,"278":0.32132279872894287,"279":-0.0737895667552948,"280":0.07340063899755478,"281":-0.059733591973781586,"282":-0.048771459609270096,"283":-0.03184500336647034,"284":-0.06478404998779297,"285":0.023261025547981262,"286":0.008967096917331219,"287":-0.06368377059698105,"288":-0.06186489015817642,"289":-0.07170315086841583,"290":-0.07792806625366211,"291":0.01823241263628006,"292":-0.05338216945528984,"293":-0.005121721886098385,"294":-0.03620545566082001,"295":-0.025896303355693817,"296":0.0010074474848806858,"297":-0.008122747763991356,"298":-0.05029890686273575,"299":0.053625673055648804,"300":-0.2053065448999405,"301":0.025810467079281807,"302":-0.1660384088754654,"303":-0.027599088847637177,"304":-0.19090433418750763,"305":-0.04938710480928421,"306":-0.3055852949619293,"307":-0.17034763097763062,"308":-0.14965716004371643,"309":-0.26462170481681824,"310":-0.05428757146000862,"311":0.06174921989440918,"312":0.03717190772294998,"313":-0.26642316579818726,"314":-0.07207345962524414,"315":-0.5664908289909363,"316":0.04114772751927376,"317":-0.574799656867981,"318":-0.00019678063108585775,"319":0.036293890327215195,"320":0.056447550654411316,"321":-0.35814565420150757,"322":-0.053903449326753616,"323":0.029287029057741165,"324":-0.048446595668792725,"325":-0.2991090416908264,"326":-0.06760166585445404,"327":-0.0971258357167244,"328":-0.07131855189800262,"329":-0.10701029747724533,"330":-0.3604043126106262,"331":-0.2878101170063019,"332":-0.28886011242866516,"333":0.2715510129928589,"334":0.0012973083648830652,"335":-0.054347775876522064,"336":-0.3082168996334076,"337":-0.3313785195350647,"338":-0.30261683464050293,"339":-0.0022266190499067307,"340":0.28208160400390625,"341":0.2519403100013733,"342":0.5081799030303955,"343":0.035030096769332886,"344":0.4680205285549164,"345":-0.1383822113275528,"346":0.0016701377462595701,"347":-0.35738882422447205,"348":0.2792714834213257,"349":0.5849263072013855,"350":-0.2765953540802002,"351":0.3799368143081665,"352":-0.23997479677200317,"353":-0.023546354845166206,"354":-0.0570845790207386,"355":0.33710378408432007,"356":-0.25885772705078125,"357":-0.22819256782531738,"358":-0.3828651010990143,"359":0.05160440132021904,"360":0.0761808305978775,"361":-0.38202252984046936,"362":-0.014803025871515274,"363":-0.0408647246658802,"364":-0.09776770323514938,"365":-0.22823448479175568,"366":-0.3637875020503998,"367":-0.11586456745862961,"368":0.03173503279685974,"369":0.0441136434674263,"370":-0.20621877908706665,"371":-0.36522719264030457,"372":-0.29054760932922363,"373":-0.33925220370292664,"374":-0.049637336283922195,"375":0.013450312428176403,"376":-0.21929065883159637,"377":-0.32386860251426697,"378":-0.3759015202522278,"379":0.045854583382606506,"380":0.07912378758192062,"381":-0.32920464873313904,"382":-0.029438994824886322,"383":0.0036216287408024073,"384":-0.072913259267807,"385":-0.31854113936424255,"386":-0.3288809061050415,"387":-0.05900747328996658,"388":-0.26676997542381287,"389":-0.048169299960136414,"390":0.06332544982433319,"391":-0.07433764636516571,"392":0.07915684580802917,"393":-0.23862318694591522,"394":-0.032792963087558746,"395":0.022461486980319023,"396":0.04811053350567818,"397":0.33979466557502747,"398":0.05074654519557953,"399":0.03824766352772713}},"bias":{"rows":20,"columns":1,"weights":{"0":0.48326918482780457,"1":-0.01131113339215517,"2":0.21107234060764313,"3":-0.2766368091106415,"4":0.041637588292360306,"5":0,"6":0,"7":-0.12151051312685013,"8":0.35446426272392273,"9":0.19057554006576538,"10":-0.31622475385665894,"11":-0.01968258060514927,"12":-0.31622275710105896,"13":0,"14":-0.2974504828453064,"15":0.40188196301460266,"16":-0.3162240982055664,"17":0,"18":-0.35205671191215515,"19":-0.29234468936920166}}},{"weight":{"rows":20,"columns":20,"weights":{"0":0.4303807318210602,"1":-0.06614496558904648,"2":0.29724815487861633,"3":-0.03446245566010475,"4":0.3220769464969635,"5":-0.47508180141448975,"6":-0.1810104101896286,"7":0.2110600769519806,"8":0.05972541123628616,"9":0.19514286518096924,"10":-0.2656242549419403,"11":-0.050687648355960846,"12":-0.1435183584690094,"13":-0.3898876905441284,"14":-0.020147131755948067,"15":0.30464470386505127,"16":-0.30381181836128235,"17":-0.27031418681144714,"18":-0.04419253021478653,"19":-0.00411935755982995,"20":0.1826597899198532,"21":-0.37741655111312866,"22":0.15532562136650085,"23":0.057831354439258575,"24":0.2143222987651825,"25":0.24086540937423706,"26":-0.25787389278411865,"27":0.14758889377117157,"28":0.1857302039861679,"29":-0.005327293183654547,"30":0.10765533149242401,"31":-0.1470327526330948,"32":-0.07922997325658798,"33":-0.32688841223716736,"34":-0.02483910322189331,"35":0.16849757730960846,"36":-0.12148340046405792,"37":-0.0909905731678009,"38":0.08543599396944046,"39":0.11681937426328659,"40":-0.38977259397506714,"41":-0.2748771905899048,"42":-0.2528356909751892,"43":-0.03233281150460243,"44":-0.34300148487091064,"45":-0.02851312793791294,"46":0.01787164807319641,"47":-0.021391071379184723,"48":-0.2809911072254181,"49":-0.3585173785686493,"50":0.061899468302726746,"51":-0.2640402317047119,"52":-0.029705354943871498,"53":0.014570548199117184,"54":-0.04204152151942253,"55":-0.2732584774494171,"56":-0.016487859189510345,"57":0.051797691732645035,"58":-0.010886730626225471,"59":-0.07781105488538742,"60":0.17323151230812073,"61":-0.21607869863510132,"62":-0.2877078652381897,"63":-0.06750965118408203,"64":-0.6236720681190491,"65":0.012862949632108212,"66":0.23956824839115143,"67":0.1654631793498993,"68":-0.316443532705307,"69":0.07337719947099686,"70":0.1486027091741562,"71":-0.38703733682632446,"72":0.31978997588157654,"73":0.24267889559268951,"74":0.019560640677809715,"75":-0.2411654144525528,"76":0.07496709376573563,"77":-0.3287561535835266,"78":0.2563488185405731,"79":0.03407389298081398,"80":0.28925976157188416,"81":-0.017142461612820625,"82":0.11008352041244507,"83":-0.020636655390262604,"84":-0.14891406893730164,"85":-0.3967514932155609,"86":-0.002551113488152623,"87":0.26370295882225037,"88":-0.3206135928630829,"89":0.05580339953303337,"90":0.009992224164307117,"91":-0.1934434175491333,"92":0.35418757796287537,"93":0.028185168281197548,"94":0.06262512505054474,"95":0.16321484744548798,"96":0.12717394530773163,"97":0.0531390979886055,"98":0.2634872496128082,"99":-0.013870651833713055,"100":-0.48822563886642456,"101":-0.7284833788871765,"102":-0.5216629505157471,"103":0.06834688037633896,"104":-0.5108701586723328,"105":0.4699283540248871,"106":0.29442301392555237,"107":-0.2373128980398178,"108":-0.036519791930913925,"109":-0.35767862200737,"110":-0.039648447185754776,"111":0.2509915828704834,"112":0.02048085257411003,"113":0.2380736619234085,"114":-0.019355498254299164,"115":-0.2642100155353546,"116":-0.02702728845179081,"117":0.3198639750480652,"118":0.0435272678732872,"119":-0.3413775861263275,"120":-0.21207326650619507,"121":-0.5672619342803955,"122":-0.4374558627605438,"123":-0.039437856525182724,"124":-0.463121622800827,"125":0.22645816206932068,"126":-0.10071954131126404,"127":-0.3778282701969147,"128":0.03009396605193615,"129":-0.3846810758113861,"130":0.06112232431769371,"131":-0.2996617555618286,"132":0.1122143343091011,"133":0.03683200478553772,"134":-0.06137901917099953,"135":-0.2691590487957001,"136":0.05287700146436691,"137":-0.6515587568283081,"138":-0.067857526242733,"139":-0.2591993808746338,"140":0.016397075727581978,"141":-0.055859800428152084,"142":-0.03885974362492561,"143":0.07280892878770828,"144":-0.02380421943962574,"145":-0.3488832116127014,"146":-0.3181600570678711,"147":0.00001710281503619626,"148":-0.31191879510879517,"149":-0.06443679332733154,"150":0.01059521920979023,"151":-0.2698005735874176,"152":-0.10498738288879395,"153":-0.38546958565711975,"154":-0.01731889508664608,"155":-0.06968384236097336,"156":0.06936797499656677,"157":-0.27659496665000916,"158":0.0453474335372448,"159":-0.05440235882997513,"160":0.17493274807929993,"161":-0.32733094692230225,"162":0.25008082389831543,"163":-0.061836984008550644,"164":0.21563869714736938,"165":-0.14368784427642822,"166":-0.22134187817573547,"167":0.19657492637634277,"168":0.05162092670798302,"169":-0.09962807595729828,"170":0.14441296458244324,"171":-0.08568472415208817,"172":-0.19551898539066315,"173":-0.3521340787410736,"174":-0.021519193425774574,"175":0.13202670216560364,"176":-0.07064756006002426,"177":-0.2737228572368622,"178":-0.12048004567623138,"179":-0.3563157021999359,"180":0.1904442459344864,"181":-0.4736630618572235,"182":0.06539781391620636,"183":0.0785372257232666,"184":-0.4723861813545227,"185":-0.3669487535953522,"186":-0.07243034988641739,"187":0.2249889075756073,"188":-0.3817661702632904,"189":0.11022777855396271,"190":0.0014872908359393477,"191":-0.35286036133766174,"192":0.20792880654335022,"193":-0.04938425496220589,"194":-0.004215906374156475,"195":-0.10990813374519348,"196":0.05857732892036438,"197":-0.015389161184430122,"198":0.16006165742874146,"199":0.04518406093120575,"200":0.3857465386390686,"201":-0.07662688195705414,"202":0.21884740889072418,"203":0.05871538072824478,"204":0.2712487578392029,"205":-0.3910770118236542,"206":-0.20367564260959625,"207":0.22152604162693024,"208":0.10525910556316376,"209":0.18464262783527374,"210":-0.17858381569385529,"211":-0.02017524279654026,"212":0.014385044574737549,"213":-0.38477006554603577,"214":-0.03830593079328537,"215":0.2925996482372284,"216":-0.16506728529930115,"217":-0.3189966380596161,"218":-0.09428412467241287,"219":-0.02794932946562767,"220":0.34772545099258423,"221":-0.04500533267855644,"222":0.27938205003738403,"223":-0.001986090559512377,"224":0.14538507163524628,"225":-0.32343533635139465,"226":-0.0817287415266037,"227":0.2693457305431366,"228":0.1663784235715866,"229":0.2209509313106537,"230":-0.11405821144580841,"231":-0.08180755376815796,"232":-0.08024078607559204,"233":-0.2811336815357208,"234":0.017687585204839706,"235":0.2970063090324402,"236":-0.2513333857059479,"237":-0.22726525366306305,"238":-0.09551318734884262,"239":0.007529663387686014,"240":0.2428620159626007,"241":-0.385356605052948,"242":0.13983525335788727,"243":0.009559448808431625,"244":0.2337716519832611,"245":-0.41065460443496704,"246":-0.5286376476287842,"247":0.25747156143188477,"248":0.2059577852487564,"249":0.04345538467168808,"250":-0.26934540271759033,"251":-0.34596648812294006,"252":-0.26472216844558716,"253":-0.39915695786476135,"254":-0.0018844037549570203,"255":0.22244557738304138,"256":-0.2535364329814911,"257":-0.5257264971733093,"258":-0.06831850111484528,"259":-0.07018665969371796,"260":-0.27645182609558105,"261":-0.007861697115004063,"262":0.026855457574129105,"263":-0.07719314843416214,"264":-0.2546762228012085,"265":-0.374941349029541,"266":-0.5617983937263489,"267":-0.28878986835479736,"268":-0.6029502153396606,"269":-0.02514929138123989,"270":-0.047606438398361206,"271":0.26761314272880554,"272":0.012542936019599438,"273":-0.706368625164032,"274":0.01721372827887535,"275":-0.35588088631629944,"276":0.007627394050359726,"277":0.047938864678144455,"278":-0.05633256211876869,"279":-0.055952418595552444,"280":-0.06493140757083893,"281":-0.6095412969589233,"282":-0.26806673407554626,"283":-0.034225091338157654,"284":-0.3660026490688324,"285":-0.00037179156788624823,"286":-0.23348598182201385,"287":-0.23642536997795105,"288":0.02589006908237934,"289":-0.26830795407295227,"290":-0.032002661377191544,"291":0.31379371881484985,"292":0.06805998086929321,"293":-0.2280328869819641,"294":0.028146782889962196,"295":-0.2831280529499054,"296":-0.06431073695421219,"297":-0.273150771856308,"298":0.1300724297761917,"299":0.0750342309474945,"300":0.007110268343240023,"301":0.05492967367172241,"302":-0.08050224930047989,"303":0.06064489483833313,"304":-0.04573160782456398,"305":-0.062381964176893234,"306":-0.0027016333770006895,"307":-0.052141644060611725,"308":0.00826649647206068,"309":0.05685059353709221,"310":-0.024385128170251846,"311":-0.02825499325990677,"312":0.0029600204434245825,"313":-0.03954241797327995,"314":0.06803073734045029,"315":0.032605331391096115,"316":0.031657855957746506,"317":0.021120570600032806,"318":0.0377371571958065,"319":-0.018273159861564636,"320":-0.11067640036344528,"321":0.07559032738208771,"322":0.024217726662755013,"323":-0.0023564957082271576,"324":-0.11310458928346634,"325":0.06653930991888046,"326":-0.35293418169021606,"327":0.028679996728897095,"328":-0.597780168056488,"329":-0.21535435318946838,"330":0.37995535135269165,"331":-0.31842467188835144,"332":0.3722038269042969,"333":0.0013182475231587887,"334":0.024915486574172974,"335":-0.02726459875702858,"336":0.31679001450538635,"337":-0.35425856709480286,"338":0.2773463726043701,"339":0.0678359866142273,"340":0.33483055233955383,"341":-0.9609040021896362,"342":0.3195239007472992,"343":-0.02672812156379223,"344":0.24650247395038605,"345":0.3773139715194702,"346":-0.22991420328617096,"347":0.3088752031326294,"348":0.26590272784233093,"349":0.09574054926633835,"350":0.2502106726169586,"351":-0.409341037273407,"352":-0.3056546449661255,"353":-0.47033312916755676,"354":-0.012892404571175575,"355":0.22585080564022064,"356":0.18335971236228943,"357":-0.25332310795783997,"358":0.07463259249925613,"359":-0.09056686609983444,"360":0.25309932231903076,"361":-0.5279378890991211,"362":0.1749240607023239,"363":-0.0824170932173729,"364":0.22695009410381317,"365":0.2605951130390167,"366":-0.07159494608640671,"367":0.18632031977176666,"368":0.10797236859798431,"369":0.04694981500506401,"370":0.12173310667276382,"371":-0.2409638613462448,"372":0.06901822239160538,"373":-0.23624339699745178,"374":-0.03681884706020355,"375":0.11331208795309067,"376":0.18925684690475464,"377":-0.17677924036979675,"378":0.045270517468452454,"379":-0.005596826784312725,"380":0.0834553986787796,"381":0.09107932448387146,"382":0.036741651594638824,"383":-0.016174711287021637,"384":0.18167275190353394,"385":0.2338925004005432,"386":0.2870040535926819,"387":0.38827115297317505,"388":-0.0849982276558876,"389":-0.022893719375133514,"390":0.29967817664146423,"391":0.3185252249240875,"392":0.23879308998584747,"393":0.2831052541732788,"394":-0.09178029745817184,"395":0.004818864166736603,"396":0.23461006581783295,"397":0.09529116004705429,"398":0.3459774851799011,"399":-0.2728438973426819}},"transition":{"rows":20,"columns":20,"weights":{"0":0.3589478135108948,"1":0.1758936196565628,"2":-0.35505568981170654,"3":0.05108169838786125,"4":0.2521655857563019,"5":0.14742949604988098,"6":0.027308134362101555,"7":0.06131254509091377,"8":0.23140835762023926,"9":0.07447696477174759,"10":0.29015275835990906,"11":0.3374827802181244,"12":0.05707848072052002,"13":-0.07323779910802841,"14":-0.05032431334257126,"15":-0.007254406344145536,"16":-0.28347158432006836,"17":0.22630608081817627,"18":0.26928529143333435,"19":-0.15213464200496674,"20":0.24948908388614655,"21":0.1338401436805725,"22":-0.23639243841171265,"23":0.05206955969333649,"24":0.06932229548692703,"25":0.03409449756145477,"26":0.0200869832187891,"27":-0.013452023267745972,"28":-0.010037361644208431,"29":0.125697061419487,"30":0.3551935851573944,"31":0.37518084049224854,"32":0.2093440145254135,"33":-0.11167849600315094,"34":-0.09370727837085724,"35":0.035032134503126144,"36":-0.11243417859077454,"37":0.3596847355365753,"38":0.10948947817087173,"39":-0.224544495344162,"40":0.04822452366352081,"41":-0.0732836127281189,"42":0.008096445351839066,"43":0.0008812630549073219,"44":0.06334815919399261,"45":0.017526941373944283,"46":0.04224272817373276,"47":0.027306610718369484,"48":0.005337351467460394,"49":-0.05326022580265999,"50":-0.06559611111879349,"51":-0.07114101201295853,"52":-0.05353027209639549,"53":-0.0623648576438427,"54":-0.040436021983623505,"55":0.06787922978401184,"56":-0.03094601072371006,"57":-0.04460776969790459,"58":0.06558924913406372,"59":0.03264342248439789,"60":-0.6382925510406494,"61":-0.21729667484760284,"62":-0.0030805093701928854,"63":-0.5285646319389343,"64":-0.3200077712535858,"65":0.00034142512595281005,"66":0.19126074016094208,"67":0.32867178320884705,"68":-0.17665839195251465,"69":-0.339157372713089,"70":-0.70654296875,"71":-0.481967031955719,"72":-0.2286672443151474,"73":0.35884568095207214,"74":-0.09980584681034088,"75":-0.00997703243046999,"76":0.3723771870136261,"77":-0.3996507227420807,"78":0.016841551288962364,"79":0.34052905440330505,"80":-0.24407659471035004,"81":0.2708599269390106,"82":0.022214923053979874,"83":-0.29004865884780884,"84":-0.28866058588027954,"85":0.16949598491191864,"86":-0.029252082109451294,"87":-0.056571148335933685,"88":0.10317934304475784,"89":-0.2489982545375824,"90":-0.15502604842185974,"91":-0.33220145106315613,"92":-0.22022421658039093,"93":-0.01503349281847477,"94":0.02815868705511093,"95":-0.06289706379175186,"96":-0.08825436979532242,"97":-0.288563996553421,"98":0.18378202617168427,"99":0.01170289982110262,"100":-0.2941645681858063,"101":-0.2676236629486084,"102":-0.06560157239437103,"103":-0.11749792098999023,"104":-0.3388965129852295,"105":0.13415072858333588,"106":0.2697923183441162,"107":0.26325488090515137,"108":-0.20781640708446503,"109":-0.4969925880432129,"110":-0.27903658151626587,"111":-0.34340789914131165,"112":-0.6238765716552734,"113":0.28707316517829895,"114":0.18707789480686188,"115":-0.05151309445500374,"116":0.21389932930469513,"117":-0.4016146659851074,"118":0.08642839640378952,"119":0.27504509687423706,"120":0.29559561610221863,"121":0.254179447889328,"122":-0.03212066367268562,"123":-0.7955603003501892,"124":-0.39242687821388245,"125":-0.3018743693828583,"126":0.32704898715019226,"127":-0.24647729098796844,"128":0.32437989115715027,"129":-0.45913583040237427,"130":0.20948809385299683,"131":0.27945053577423096,"132":-0.024127619341015816,"133":-0.1305140256881714,"134":-0.3209013044834137,"135":-0.031216945499181747,"136":0.34021666646003723,"137":0.3028494417667389,"138":0.2820298671722412,"139":0.25390323996543884,"140":0.05306784436106682,"141":-0.3186330199241638,"142":0.032417476177215576,"143":-0.2546250820159912,"144":-0.01949557103216648,"145":-0.1675773411989212,"146":-0.39380404353141785,"147":-0.30430328845977783,"148":-0.3527272641658783,"149":0.05003777891397476,"150":-0.012421472929418087,"151":-0.05709976330399513,"152":-0.054360125213861465,"153":-0.32644084095954895,"154":-0.3251573145389557,"155":0.06309626251459122,"156":-0.24304994940757751,"157":-0.32018834352493286,"158":-0.27580058574676514,"159":-0.2438216358423233,"160":0.26910337805747986,"161":0.2830654978752136,"162":-0.318859338760376,"163":-0.13011974096298218,"164":0.041840821504592896,"165":0.12615053355693817,"166":-0.03865567222237587,"167":-0.011554221622645855,"168":0.1739424765110016,"169":-0.08742773532867432,"170":0.29939544200897217,"171":0.37253376841545105,"172":0.2282312661409378,"173":-0.09829086065292358,"174":-0.0842810571193695,"175":-0.051947034895420074,"176":-0.3068235516548157,"177":0.3588595986366272,"178":0.24548998475074768,"179":-0.13145451247692108,"180":-0.31844356656074524,"181":-0.20973573625087738,"182":0.06357230246067047,"183":-0.3748992681503296,"184":-0.2917276918888092,"185":-0.14381036162376404,"186":0.04912141337990761,"187":0.061209358274936676,"188":0.014828220009803772,"189":-0.2942330241203308,"190":-0.2560875713825226,"191":-0.3286654055118561,"192":-0.30918794870376587,"193":0.03378767892718315,"194":-0.07888834178447723,"195":-0.011619355529546738,"196":0.08143892884254456,"197":-0.36420348286628723,"198":-0.18763481080532074,"199":0.03371039032936096,"200":0.3714868128299713,"201":0.17775942385196686,"202":-0.2524256408214569,"203":0.17824701964855194,"204":0.14191319048404694,"205":0.11040125787258148,"206":-0.06758269667625427,"207":0.002813709434121847,"208":0.05031024292111397,"209":0.14712700247764587,"210":0.2720719277858734,"211":0.2530810832977295,"212":0.05782026797533035,"213":-0.12060414999723434,"214":-0.04295825958251953,"215":-0.045022618025541306,"216":-0.32569897174835205,"217":0.3601565361022949,"218":0.29437020421028137,"219":-0.1923753321170807,"220":0.34167787432670593,"221":0.26048994064331055,"222":-0.3279210925102234,"223":0.11494138091802597,"224":0.16226211190223694,"225":0.12319294363260269,"226":-0.008956207893788815,"227":0.046556320041418076,"228":0.09441384673118591,"229":0.17973850667476654,"230":0.3045240044593811,"231":0.3270712196826935,"232":0.10373962670564651,"233":-0.06934195756912231,"234":0.017338257282972336,"235":0.0698627158999443,"236":-0.4503399431705475,"237":0.24417075514793396,"238":0.21696797013282776,"239":-0.1355210244655609,"240":0.3106795847415924,"241":0.11827139556407928,"242":-0.3360104560852051,"243":0.0006629740819334984,"244":0.09717817604541779,"245":-0.10961520671844482,"246":-0.0471026748418808,"247":-0.05550161376595497,"248":0.16151653230190277,"249":0.003374087857082486,"250":0.33505895733833313,"251":0.30440542101860046,"252":0.1971971094608307,"253":-0.0405350886285305,"254":-0.030378764495253563,"255":-0.07295018434524536,"256":-0.26893118023872375,"257":0.2604728639125824,"258":-0.05072954297065735,"259":-0.11462341248989105,"260":-0.09817131608724594,"261":-0.10384295135736465,"262":0.06960955262184143,"263":-0.37251755595207214,"264":-0.05785619467496872,"265":-0.126442089676857,"266":0.03775632008910179,"267":-0.2231302559375763,"268":-0.09467088431119919,"269":-0.02029884234070778,"270":-0.1947542130947113,"271":-0.13126243650913239,"272":-0.2560047507286072,"273":-0.6494861841201782,"274":0.13909660279750824,"275":-0.059503570199012756,"276":-0.28484904766082764,"277":-0.14133788645267487,"278":0.22127997875213623,"279":-0.5705405473709106,"280":0.00900917500257492,"281":0.2782067358493805,"282":-0.04813208803534508,"283":-0.218410462141037,"284":-0.3300974667072296,"285":-0.17842528223991394,"286":0.3345229923725128,"287":0.33673447370529175,"288":0.3198693096637726,"289":-0.31996816396713257,"290":-0.09234829246997833,"291":-0.061662811785936356,"292":-0.07014500349760056,"293":0.10105237364768982,"294":0.22570368647575378,"295":0.0717027336359024,"296":0.37421855330467224,"297":0.3064025938510895,"298":0.22578953206539154,"299":0.25356337428092957,"300":0.06666881591081619,"301":-0.016628365963697433,"302":0.010762115940451622,"303":-0.005448277574032545,"304":0.044965729117393494,"305":-0.07431261241436005,"306":-0.009244708344340324,"307":-0.04200005158782005,"308":-0.06419558823108673,"309":-0.07764291763305664,"310":-0.0178177822381258,"311":-0.06430710107088089,"312":-0.010278738103806973,"313":0.02963935397565365,"314":-0.004882233217358589,"315":-0.05874200165271759,"316":-0.07457784563302994,"317":0.06411603838205338,"318":-0.003969249315559864,"319":0.00794596504420042,"320":0.1043512374162674,"321":0.0033978053834289312,"322":-0.04742281511425972,"323":-0.32251429557800293,"324":-0.3638336658477783,"325":-0.23224739730358124,"326":-0.3727145493030548,"327":-0.30194541811943054,"328":0.11283239722251892,"329":-0.3532155752182007,"330":0.09576134383678436,"331":0.057703226804733276,"332":0.13893254101276398,"333":-0.316089928150177,"334":-0.35011160373687744,"335":-0.002201658673584461,"336":0.04391070827841759,"337":0.008221782743930817,"338":0.06993501633405685,"339":0.08684258908033371,"340":0.33653247356414795,"341":0.21447338163852692,"342":-0.28377196192741394,"343":0.03613083437085152,"344":0.12578369677066803,"345":0.17668521404266357,"346":0.039303164929151535,"347":0.053317587822675705,"348":0.3296565115451813,"349":0.15865133702754974,"350":0.3512134253978729,"351":0.30632880330085754,"352":0.2274339497089386,"353":-0.04425385221838951,"354":0.037101343274116516,"355":0.06478899717330933,"356":-0.46144941449165344,"357":0.39266374707221985,"358":0.3549112379550934,"359":-0.18254277110099792,"360":0.3214304447174072,"361":0.1990918070077896,"362":-0.24387431144714355,"363":0.07356875389814377,"364":0.17682583630084991,"365":0.39559119939804077,"366":0.22450879216194153,"367":0.30556192994117737,"368":0.08571118861436844,"369":0.13987533748149872,"370":0.3544604182243347,"371":0.2602823078632355,"372":0.3069548010826111,"373":0.2193029671907425,"374":0.3599522113800049,"375":0.06723535060882568,"376":0.543527364730835,"377":0.3549363911151886,"378":0.18068131804466248,"379":-0.17624542117118835,"380":0.09992409497499466,"381":0.13490983843803406,"382":-0.04998438432812691,"383":-0.19399411976337433,"384":-0.5559903979301453,"385":-0.23406602442264557,"386":-0.2605738341808319,"387":-0.2790413200855255,"388":0.09267567098140717,"389":-0.5636641979217529,"390":0.05622515827417374,"391":0.0820709839463234,"392":0.1697443723678589,"393":-0.014363652095198631,"394":0.2096882313489914,"395":0.04447391629219055,"396":-0.07213576883077621,"397":0.10165725648403168,"398":0.10171499103307724,"399":0.03880098834633827}},"bias":{"rows":20,"columns":1,"weights":{"0":0.31797996163368225,"1":-0.08471587300300598,"2":-0.3162253499031067,"3":0.5026739239692688,"4":0.3887374997138977,"5":0,"6":-0.10759919136762619,"7":0,"8":-0.10866693407297134,"9":0.4765714704990387,"10":0.29220226407051086,"11":0.49662429094314575,"12":-0.3942217528820038,"13":0,"14":-0.4776934087276459,"15":-0.2935023605823517,"16":-0.3133213222026825,"17":-0.0008502993150614202,"18":-0.07470879703760147,"19":-0.6303275227546692}}}],"outputConnector":{"rows":7,"columns":20,"weights":{"0":0.20452111959457397,"1":0.3944372236728668,"2":-0.0042482344433665276,"3":-0.3380749225616455,"4":-0.61780846118927,"5":0.40804538130760193,"6":0.34216123819351196,"7":0.24162466824054718,"8":-0.19605839252471924,"9":-0.8035510778427124,"10":0.25341537594795227,"11":0.2904808819293976,"12":0.24063745141029358,"13":0.3129206597805023,"14":0.35243338346481323,"15":-0.019770022481679916,"16":0.07667412608861923,"17":0.4288810193538666,"18":0.35759952664375305,"19":0.14517337083816528,"20":0.5057409405708313,"21":0.028707075864076614,"22":0.18880069255828857,"23":0.2711161673069,"24":0.5048106908798218,"25":-1.038107991218567,"26":-0.31910255551338196,"27":-0.32950034737586975,"28":0.19428150355815887,"29":0.5275047421455383,"30":0.4614306092262268,"31":0.4196350872516632,"32":0.2079288810491562,"33":-0.35161110758781433,"34":-0.2976185381412506,"35":0.02404407411813736,"36":0.08026323467493057,"37":0.043717436492443085,"38":-0.48033615946769714,"39":-0.23112434148788452,"40":0.4855040907859802,"41":0.7025452852249146,"42":-0.016352156177163124,"43":-0.757165789604187,"44":-0.7149118781089783,"45":-0.446796178817749,"46":-0.11134517937898636,"47":-0.24090799689292908,"48":0.00034035954740829766,"49":-0.6708958745002747,"50":0.4359292685985565,"51":0.5643503069877625,"52":0.24343140423297882,"53":-0.2545100748538971,"54":-0.21639510989189148,"55":-0.08704009652137756,"56":-0.4969712197780609,"57":0.6258612275123596,"58":0.7231519818305969,"59":-0.509555459022522,"60":0.552702009677887,"61":0.6199256777763367,"62":0.05995011329650879,"63":-0.2865029275417328,"64":-0.6476288437843323,"65":-0.17333215475082397,"66":-0.06719138473272324,"67":-0.26564499735832214,"68":0.49628743529319763,"69":-0.7802337408065796,"70":0.6171939969062805,"71":0.5811671614646912,"72":0.0986274927854538,"73":-0.24201786518096924,"74":-0.14280326664447784,"75":-0.03504374995827675,"76":0.1215815618634224,"77":0.43032586574554443,"78":0.5605298280715942,"79":0.8799057602882385,"80":0.5095027089118958,"81":0.3491176664829254,"82":0.00558756897225976,"83":0.5058991312980652,"84":-0.10365297645330429,"85":0.4473190903663635,"86":0.4490431845188141,"87":0.2533276081085205,"88":0.3866080045700073,"89":-0.19500832259655,"90":0.40744873881340027,"91":0.42550963163375854,"92":0.44514745473861694,"93":0.2302727848291397,"94":0.4195639491081238,"95":0.1452641785144806,"96":-0.12289241701364517,"97":0.4140961170196533,"98":0.28799968957901,"99":0.0026360333431512117,"100":0.2979080379009247,"101":0.35245904326438904,"102":-0.040294498205184937,"103":-1.1770879030227661,"104":-0.6199602484703064,"105":0.15684840083122253,"106":0.32219892740249634,"107":0.30172741413116455,"108":0.1556304693222046,"109":-0.6992034316062927,"110":0.4261876344680786,"111":0.3435399532318115,"112":0.11183643341064453,"113":0.6956002712249756,"114":-0.24223372340202332,"115":-0.1334942877292633,"116":0.17424029111862183,"117":0.42966318130493164,"118":0.3935498297214508,"119":0.6210076808929443,"120":0.31361740827560425,"121":0.29930856823921204,"122":-0.05164061486721039,"123":-0.2457607090473175,"124":-0.4603372812271118,"125":0.18823875486850739,"126":-0.32961827516555786,"127":0.28316283226013184,"128":0.10552861541509628,"129":-0.48882752656936646,"130":0.26241642236709595,"131":0.2649429142475128,"132":0.2780877351760864,"133":0.34920981526374817,"134":-0.27301499247550964,"135":-0.15116040408611298,"136":0.23451802134513855,"137":0.3432421088218689,"138":0.345306396484375,"139":0.16853871941566467}},"output":{"rows":7,"columns":1,"weights":{"0":-0.989637553691864,"1":1.2303466796875,"2":-1.2445744276046753,"3":-1.2956080436706543,"4":-1.2223496437072754,"5":-1.0563884973526,"6":-1.0709788799285889}}};
  var _i = 0;
  var output = [];
  var states = [];
  var prevStates;
  while (true) {
    var previousIndex = (_i === 0
        ? 0
        : _i < input.length
          ? input[_i - 1] + 1
          : output[_i - 1])
          ;
    var rowPluckIndex = previousIndex;
    prevStates = states;
    states = [];
    states[0] = {
      name: 'rowPluck',
      left: json.input,
      right: null,
      product: new Matrix(6, 1)
    };
    states[1] = {
      name: 'multiply',
      left: json.hiddenLayers[0].weight,
      right: states[0].product,
      product: new Matrix(20, 1)
    };
    states[2] = {
      name: 'multiply',
      left: json.hiddenLayers[0].transition,
      right: typeof prevStates[5] === 'object' ? prevStates[5].product : new Matrix(20, 1),
      product: new Matrix(20, 1)
    };
    states[3] = {
      name: 'add',
      left: states[1].product,
      right: states[2].product,
      product: new Matrix(20, 1)
    };
    states[4] = {
      name: 'add',
      left: states[3].product,
      right: json.hiddenLayers[0].bias,
      product: new Matrix(20, 1)
    };
    states[5] = {
      name: 'relu',
      left: states[4].product,
      right: null,
      product: new Matrix(20, 1)
    };
    states[6] = {
      name: 'multiply',
      left: json.hiddenLayers[1].weight,
      right: states[5].product,
      product: new Matrix(20, 1)
    };
    states[7] = {
      name: 'multiply',
      left: json.hiddenLayers[1].transition,
      right: typeof prevStates[10] === 'object' ? prevStates[10].product : new Matrix(20, 1),
      product: new Matrix(20, 1)
    };
    states[8] = {
      name: 'add',
      left: states[6].product,
      right: states[7].product,
      product: new Matrix(20, 1)
    };
    states[9] = {
      name: 'add',
      left: states[8].product,
      right: json.hiddenLayers[1].bias,
      product: new Matrix(20, 1)
    };
    states[10] = {
      name: 'relu',
      left: states[9].product,
      right: null,
      product: new Matrix(20, 1)
    };
    states[11] = {
      name: 'multiply',
      left: json.outputConnector,
      right: states[10].product,
      product: new Matrix(7, 1)
    };
    states[12] = {
      name: 'add',
      left: states[11].product,
      right: json.output,
      product: new Matrix(7, 1)
    };
    for (var stateIndex = 0, stateMax = 13; stateIndex < stateMax; stateIndex++) {
      var state = states[stateIndex];
      var product = state.product;
      var left = state.left;
      var right = state.right;
      
      switch (state.name) {
        case 'rowPluck': //compiled from src/recurrent/matrix/row-pluck.js
          
          var columns = left.columns;
          var rowBase = columns * rowPluckIndex;
          for (var column = 0; column < columns; column++) {
            product.weights[column] = left.weights[rowBase + column];
            
          }
        
          break;
        case 'multiply': //compiled from src/recurrent/matrix/multiply.js
          
          var leftRows = left.rows;
          var leftColumns = left.columns;
          var rightColumns = right.columns;
        
          // loop over rows of left
          for (var leftRow = 0; leftRow < leftRows; leftRow++) {
            var leftRowBase = leftColumns * leftRow;
            var rightRowBase = rightColumns * leftRow;
            // loop over cols of right
            for (var rightColumn = 0; rightColumn < rightColumns; rightColumn++) {
        
              // dot product loop
              var dot = 0;
              //loop over columns of left
              for (var leftColumn = 0; leftColumn < leftColumns; leftColumn++) {
                var rightColumnBase = rightColumns * leftColumn;
                var leftIndex = leftRowBase + leftColumn;
                var rightIndex = rightColumnBase + rightColumn;
                dot += left.weights[leftIndex] * right.weights[rightIndex];
                
                
              }
              product.weights[rightRowBase + rightColumn] = dot;
            }
          }
        
          break;
        case 'add': //compiled from src/recurrent/matrix/add.js
          
          for (var i = 0; i < left.weights.length; i++) {
            product.weights[i] = left.weights[i] + right.weights[i];
            
          }
        
          break;
        case 'relu': //compiled from src/recurrent/matrix/relu.js
          
          for (var i = 0; i < left.weights.length; i++) {
            product.weights[i] = Math.max(0, left.weights[i]); // relu
            
          }
        
          break;
      }
    }
    
    var logProbabilities = state.product;
    if (temperature !== 1 && isSampleI) {
      for (var q = 0, nq = logProbabilities.weights.length; q < nq; q++) {
        logProbabilities.weights[q] /= temperature;
      }
    }

    var probs = softmax(logProbabilities);
    var nextIndex = isSampleI ? sampleI(probs) : maxI(probs);
    
    _i++;
    if (nextIndex === 0) {
      break;
    }
    if (_i >= maxPredictionLength) {
      break;
    }

    output.push(nextIndex);
  }
  console.log(output);
  return formatDataOut(input, output.slice(input.length).map(function(value) { return value - 1; }));
  function Matrix(rows, columns) {
    this.rows = rows;
    this.columns = columns;
    this.weights = zeros(rows * columns);
  }
  function formatDataIn(input, output) { 
            var output = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
        
            if (true !== null) {
              if (indexTable.hasOwnProperty('stop-input')) {
                return toIndexesInputOutput(input, output);
              } else {
                return toIndexes(input);
              }
            }
            return input;
           }
  function formatDataOut(input, output) { 
            if (true !== null) {
              return toCharacters(output).join('');
            }
            return output;
           }
  function zeros(size) {
  if (typeof Float32Array !== 'undefined') return new Float32Array(size);
  var array = new Array(size);
  for (var i = 0; i < size; i++) {
    array[i] = 0;
  }
  return array;
}
  function softmax(m) {
  var result = new Matrix(m.rows, m.columns); // probability volume
  var maxVal = -999999;
  for (var i = 0; i < m.weights.length; i++) {
    if (m.weights[i] > maxVal) {
      maxVal = m.weights[i];
    }
  }

  var s = 0;
  for (var _i = 0; _i < m.weights.length; _i++) {
    result.weights[_i] = Math.exp(m.weights[_i] - maxVal);
    s += result.weights[_i];
  }

  for (var _i2 = 0; _i2 < m.weights.length; _i2++) {
    result.weights[_i2] /= s;
  }

  // no backward pass here needed
  // since we will use the computed probabilities outside
  // to set gradients directly on m
  return result;
}
  function randomF(a, b) {
  return Math.random() * (b - a) + a;
}
  function sampleI(m) {
  // sample argmax from w, assuming w are
  // probabilities that sum to one
  var r = randomF(0, 1);
  var x = 0;
  var i = 0;
  var w = m.weights;

  while (true) {
    x += w[i];
    if (x > r) {
      return i;
    }
    i++;
  }
}
  function maxI(m) {
  // argmax of array w
  var weights = m.weights;

  var maxv = weights[0];
  var maxix = 0;
  for (var i = 1; i < weights.length; i++) {
    var v = weights[i];
    if (v < maxv) continue;

    maxix = i;
    maxv = v;
  }
  return maxix;
} }
console.log(hiMom("hi"));